Subject: Re: OSPF Link State Advertisement

From: Ameya Pandit <[email-masked]>
Date: Tue, 17 Jun 2003 13:57:06 +0000

Thanks for the clarification. I am trying to find out what you ended up
saying. :-). Assume that the network is not Ethernet LAN, but a more general
case (point to point as an example where in we do not have a DR and a BDR).

Is there any user specific table (or any command i can issue) that gives me
the the interface number on which LS-Ack was sent for a particular LSA?. LSA
details are available. I need to know the interface on which LS-Ack was
sent. I searched through OSPF-MIBs for the same. However I could not find
any. Hence my query?

Any ideas are really welcome.

Rgds
Ameya

>From: Don Goodspeed <[email-masked]>
>Reply-To: Mailing List <[email-masked]>
>To: [email-masked]
>Subject: Re: OSPF Link State Advertisement
>Date: Mon, 16 Jun 2003 14:06:57 -0400
>
>Ameya,
>
>Remember that LSA are global, but a LS-Ack is acknowledging receipt
>from a specific neighbor (or a specific DR on a LAN segment), not
>for the LSA in general.  Therefore, the interface associated with
>that neighbor and/or DR should always be known.
>
>-don
>
>==========================================
>Hello,
>
>I have a query on link State Acknowledgements (LSAck). We know that when a
>router receives a link state advertisement (LSA) it sends a LSAck for the
>received LSA. I understand that it is possible to couple different
>acknowledgements together. However, my question is: how do we determine the
>'ifIndex' of the interface on which the router sends the LSAck for the
>currently received LSA.
>Is there any way we can find out the interface on which the LSAck was sent
>knowing the details in the
>received LSA (viz. Seq, Checksum et. al.). ?? . In other words, i need to
>know the
>interface on which the LSA was received.
>
>More specifically, I have a requirement where in my Network Management
>Software needs to know the ifIndex (and eventually the neighbor that sent
>(forwarded) the LSA) of the interface on which the LSAck was generated for
>the LSA. I have the details of the LSA. I checked the OSPF MIB however
>there
>was no way to get the ifIndex on which the LSA was received.
>
>Any guidance would be helpful.
>
>Regards
>-Ameya
>
>_______________________________________________
>Join Excite! - http://www.excite.com
>The most personalized portal on the Web!

_________________________________________________________________
Wedding blues? Need help? http://www.msn.co.in/Matrimony/

---

From: Acee Lindem <[email-masked]>
Date: Tue, 17 Jun 2003 11:09:23 -0400

Ameya,

I'm not sure what you are trying to do but the interface(s) on which a
particular LSA was/were ack'ed isn't saved as persistent state informtion.
When a packet is sent on an interface, the determination of the ifIndex
corresponding to that interface is a platform specific detail.

Thanks,
Acee

--
Acee